broadcast

## Class SiGMLStreamTransmitter

- java.lang.Object
- - xml.XMLScanner
  - - broadcast.SiGMLStreamTransmitter

- All Implemented Interfaces:
    SiGMLStreamNotify

      public class SiGMLStreamTransmitter
      extends XMLScanner
      implements SiGMLStreamNotify

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class xml.XMLScanner

      `XMLScanner.ScanException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BS_PORT_BASE`
    `static long` | `LEAD_MILLIS`
    `static java.lang.String` | `TESTFILE`
    `static java.lang.String` | `XMIT_PREFIX`

    - ### Fields inherited from class xml.XMLScanner

      `SAX_NAMESPACES, SAX_NS_PREFIXES, SAX_STRING_INTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLStreamTransmitter(java.lang.String path)`
    `SiGMLStreamTransmitter(java.lang.String path, int bsportbase)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `noteSiGMLSection(int lnPrev, int colPrev, int lnSSegStart, int colSSegStart, int lnSSegEnd, int colSSegEnd, long prsntclk)`
    `void` | `noteSiGMLStreamDone(long totalclk)`
    `void` | `noteSiGMLStreamStart()`

    - ### Methods inherited from class xml.XMLScanner

      `getSPXLineColText, getSPXLocationText, scanXML, scanXML, scanXMLText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TESTFILE

          public static final java.lang.String TESTFILE

      See Also:
        Constant Field Values

    - #### BS_PORT_BASE

          public static final int BS_PORT_BASE

    - #### LEAD_MILLIS

          public static final long LEAD_MILLIS

      See Also:
        Constant Field Values

    - #### XMIT_PREFIX

          public static final java.lang.String XMIT_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SiGMLStreamTransmitter

          public SiGMLStreamTransmitter(java.lang.String path)
                                 throws java.io.IOException,
                                        XMLScanner.ScanException

      Throws:
        `java.io.IOException`
        `XMLScanner.ScanException`

    - #### SiGMLStreamTransmitter

          public SiGMLStreamTransmitter(java.lang.String path,
                                        int bsportbase)
                                 throws java.io.IOException,
                                        XMLScanner.ScanException

      Throws:
        `java.io.IOException`
        `XMLScanner.ScanException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException,
                                  XMLScanner.ScanException

      Throws:
        `java.io.IOException`
        `XMLScanner.ScanException`

    - #### noteSiGMLStreamStart

          public void noteSiGMLStreamStart()

      Specified by:
        `noteSiGMLStreamStart` in interface `SiGMLStreamNotify`

    - #### noteSiGMLStreamDone

          public void noteSiGMLStreamDone(long totalclk)

      Specified by:
        `noteSiGMLStreamDone` in interface `SiGMLStreamNotify`

    - #### noteSiGMLSection

          public void noteSiGMLSection(int lnPrev,
                                       int colPrev,
                                       int lnSSegStart,
                                       int colSSegStart,
                                       int lnSSegEnd,
                                       int colSSegEnd,
                                       long prsntclk)

      Specified by:
        `noteSiGMLSection` in interface `SiGMLStreamNotify`